## mingw-w64-python-pyqtgraph-0.13.3-2.src.tar.zst

=== doc/requirements.txt ===
PyQt6==6.5.0
sphinx==6.1.3
pydata-sphinx-theme==0.13.3
sphinx-design==0.4.1
sphinxcontrib-images==0.9.4
sphinx-favicon==1.0.1
sphinx-qt-documentation
sphinxext-rediraffe
numpy
pyopengl
